package fr.shortcircuit.gui;

import java.util.Arrays;
import java.util.List;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public interface IXMLViewConstants
{
	//Size Constants 	
	public int			INT_APPLI_WIDTH						= 1100;
	public int			INT_APPLI_HEIGHT					= 720;
	
	//Supported reflection process classes
	public String		ARRAY_AUTOMATION_SUPPORTED_CLASS[] 	= {"ProductElement", "GameElement", "DvdElement", "K7Element", "Actor"};
	public List			LIST_AUTOMATION_SUPPORTED_CLASS		= Arrays.asList(ARRAY_AUTOMATION_SUPPORTED_CLASS);
	
	//JTable header
	public String		ARRAY_COLUMNS_PROPERTY[] 			= {"id", "designation", "type", "price", "genre", "realisateur", "annee", "musique", "scenario", "provenance"};	
}