package fr.shortcircuit.test;


import java.util.Vector;

import fr.shortcircuit.gui.DesktopWindowView;
import fr.shortcircuit.gui.IXMLViewConstants;
import fr.shortcircuit.model.ProductElement;
import fr.shortcircuit.xml.MySaxReflecter;

/** @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public class Main 
{
	public MySaxReflecter			saxReflectedParser;


	
	public static void main(String args[])
	{		
		Main newAppli			= new Main();		
	}
	
	public Main()
	{		
		createStructures();
		buildUI();
	}	

	private void buildUI()
	{
		DesktopWindowView view 		= new DesktopWindowView(saxReflectedParser);
		
		view.setSize(IXMLViewConstants.INT_APPLI_WIDTH, IXMLViewConstants.INT_APPLI_HEIGHT);
		view.setLocation(100, 0);
		view.setVisible(true);
	}

	public void createStructures()
	{	
		this.saxReflectedParser	= new MySaxReflecter<Vector<ProductElement>>(	
										new Vector<ProductElement>(), "doc/xml/products2.xml");
	}

}
